<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>쿠폰 생성 관리</title>


	<th:block th:replace="~{common/module::order-socket}"></th:block>
	<th:block th:replace="~{common/module::order-management-common}"></th:block>
	<th:block th:replace="~{common/module::order-management-coupon}"></th:block>
</head>
<body>
<main>
	<div class="grid">
		<div th:replace="~{order/management/left-side::left-side}"></div>
		<div class="content-container">
			<div class="content">
				<div class="header">
					<h1 class="title-text">쿠폰 생성</h1>
				</div>
				<th:block th:if="${couponDetailInfo == null}">
					<form id="couponForm" onsubmit="return false;">
						<div class="input-coupon-info-area">
							<div class="input-coupon-info">
								<label>쿠폰 이름</label>
								<input class="input-coupon-data" type="text" name="couponName" placeholder="쿠폰 이름을 입력하십시오.">
							</div>
							<div class="input-coupon-info">
								<label>쿠폰 비고</label>
								<input class="input-coupon-data" type="text" name="couponComment" placeholder="쿠폰을 식별할 비고를 입력하십시오.">
							</div>
							<div class="input-coupon-info">
								<label>유효 기간</label>
								<input class="input-coupon-data" name="couponExpire" type="date">
							</div>
							<div class="input-coupon-info">
								<label for="useY">사용 여부</label>
								<div class="input-coupon-data input-coupon-data-use">
									<label for="useY">사용</label>
									<input id="useY" type="radio" name="useYn" value="Y">
								</div>
								<div class="input-coupon-data input-coupon-data-use">
									<label for="useN">미사용</label>
									<input id="useN" type="radio" name="useYn" value="N">
								</div>
							</div>
							<div class="input-coupon-info">
								<button id="createCoupon">쿠폰 생성</button>
							</div>
						</div>
					</form>
				</th:block>
				<th:block th:if="${couponDetailInfo != null}">
					<form id="couponForm" onsubmit="return false;">
						<div class="input-coupon-info-area">
							<div class="input-coupon-info">
								<label>쿠폰 이름</label>
								<input class="input-coupon-data" type="text" name="couponName" placeholder="쿠폰 이름을 입력하십시오." th:value="${couponDetailInfo.couponName}">
							</div>
							<div class="input-coupon-info">
								<label>쿠폰 비고</label>
								<input class="input-coupon-data" type="text" name="couponComment" placeholder="쿠폰을 식별할 비고를 입력하십시오." th:value="${couponDetailInfo.couponComment}">
							</div>
							<div class="input-coupon-info">
								<label>유효 기간</label>
								<input class="input-coupon-data" name="couponExpire" type="date">
							</div>
							<div class="input-coupon-info">
								<label for="useY">사용 여부</label>
								<div class="input-coupon-data input-coupon-data-use">
									<label for="useY">사용</label>
									<input id="useY" type="radio" name="useYn" th:checked="${couponDetailInfo.useYn == 'Y'}">
								</div>
								<div class="input-coupon-data input-coupon-data-use">
									<label for="useN">미사용</label>
									<input id="useN" type="radio" name="useYn" th:checked="${couponDetailInfo.useYn == 'N'}">
								</div>
							</div>
							<div class="input-coupon-info">
								<button id="createCoupon">쿠폰 생성</button>
							</div>
						</div>
					</form>

					<!--여기에 생성된 쿠폰 리스트가 삽입됩니다.-->
				</th:block>
			</div>
		</div>
</main>
</body>
</html>
